Package org.gradle.api.plugins

# Class PluginInstantiationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.plugins.PluginInstantiationException

All Implemented Interfaces:
  `Serializable`

public class PluginInstantiationException extends GradleException
A `PluginInstantiationException` is thrown when a plugin cannot be instantiated.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginInstantiationException(String message)`
  `PluginInstantiationException(String message, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PluginInstantiationException

    public PluginInstantiationException(String message)

  - ### PluginInstantiationException

    public PluginInstantiationException(String message, Throwable cause)